﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[ExecuteInEditMode]
[RequireComponent(typeof(Renderer))]
public class DepthSort : MonoBehaviour {
	[SerializeField]
	int offset = 0;
	Renderer renderer;

	void Start () {
		renderer = GetComponent<Renderer> ();		
	}

	void Update () {
		renderer.sortingOrder = (int)(-transform.position.y * 100) + offset;
	}
}
