﻿using UnityEngine;

namespace Plants {
	public class Tile : MonoBehaviour, ITile {
		[SerializeField]
		ELocation location;

		[SerializeField]
		ELighting lighting;

		[SerializeField]
		IOccupant occupant;

		public Vector3 Position { get { return transform.position; } }
		public ELocation Location { get { return location; } private set { location = value; } }
		public ELighting Lighting { get { return lighting; } private set { lighting = value; } }
		public IOccupant Occupant { get; set; }
	}
}