﻿using ByteSprite.DependencyInjection;
using UnityEngine;

public class GeneralButton : MonoBehaviour {
	[Inject]
	Plants.Cursor cursor;

	void Awake (){
		Injector.Inject(this);
	}

	public void Water(){
		cursor.State = Plants.Cursor.CursorState.Water;
	}

	public void Move(){
		cursor.State = Plants.Cursor.CursorState.MovePlant;
	}

	public void Remove(){
		cursor.State = Plants.Cursor.CursorState.RemovePlant;
	}
}
