﻿using System;

namespace ByteSprite.DependencyInjection {
    [AttributeUsage(AttributeTargets.Field | AttributeTargets.Method | AttributeTargets.Property)]
    public class InjectAttribute : Attribute {
        public object Id { get; private set; }

        public InjectAttribute(){
            Id = null;
        }

        public InjectAttribute(object id){
            Id = id;
        }
    }
}