﻿using UnityEngine;

namespace Plants {
	public interface IPlant : IOccupant {
		string Name { get; }

		ELighting RequiredLight { get; }
		EWater RequiredWater { get; }
		EOxygen OxygenProduced { get; }
		EGrowth GrowthRate { get; }
		Sprite Juvi { get; }
		Sprite Mature { get; }
		Sprite Dead { get; }
		ELocation Location { get; }

		bool IsAlive { get; }
		float CurrentWater { get; }
		float Age { get; }

		void Water();
		void Grow();
		void Die();
		void AbsorbWater();
	}
}
