﻿using ByteSprite.DependencyInjection;
using UnityEngine;

namespace Plants {
	public class SpawnButtons : MonoBehaviour {
		[Inject]
		PlantPurchaseButton plantButton;

		[Inject]
		Plant [] plants;

		void Awake () {
			Injector.Inject(this);

			foreach (var plant in plants) {
				var button = Instantiate(plantButton, transform).GetComponent<PlantPurchaseButton>();
				button.plant = plant;
			}
		}
	}
}