﻿using UnityEngine;

public class Status : MonoBehaviour {
	[SerializeField]
	Sprite good, bad;

	public SpriteRenderer SpriteRenderer { get; private set; }

	bool isSatisfied;

	public bool IsSatisfied {
		get { return isSatisfied; }
		set {
			isSatisfied = value;
			SpriteRenderer.sprite = isSatisfied ? good : bad;
		}
	}

	void Awake() {
		SpriteRenderer = GetComponent<SpriteRenderer>();
	}
}
